// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Elementos Químicos',
    backgroundColor:'#fff'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Tabela periódica',
    window:win1
});

/* Data implementation */
/**
 * Store the elements data for the tableview (Elementos químicos) in an array of objects
 */
/* Default row color */
var defaultColor = "#ffffff";

/* Other Colors for future implementation
 -------------------------------------------------*/
/* Non-metals color */
var nonMetals = "#AFFFA0";
/* Alkali metals*/
var alkaliMetals = "#FF6666";
/*------------------------------------------------*/

/* Data array */
var elementos = [
	{title:"Hidrogénio", nrElemento:1, searchFilter:"h", leftImage:"images/elementos/1-h.png", classname:"tableRow", backgroundColor:nonMetals, hasDetail:true, js:"elementdetails.js",dataToPass:"http://pt.wikipedia.org/wiki/Hidrog%C3%AAnio"},
	{title:"Hélio", nrElemento:2, searchFilter:"he", leftImage:"images/elementos/2-he.png", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/H%C3%A9lio"},
	{title:"Lítio", nrElemento:3, searchFilter:"li", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/L%C3%ADtio"},
	{title:"Berílio", nrElemento:4, searchFilter:"be", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ber%C3%ADlio"},
	{title:"Boro", nrElemento:5, searchFilter:"b", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Boro"},
	{title:"Carbono", nrElemento:6, searchFilter:"c", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Carbono"},
	{title:"Azoto / Nitrogénio", nrElemento:7, searchFilter:"n", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Nitrog%C3%AAnio"},
	{title:"Oxigénio", nrElemento:8, searchFilter:"o", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Oxig%C3%AAnio"},
	{title:"Flúor", nrElemento:9, searchFilter:"f", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Fl%C3%BAor"},
	{title:"Néon", nrElemento:10, searchFilter:"ne", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/N%C3%A9on"},
	{title:"Sódio", nrElemento:11, searchFilter:"na", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/S%C3%B3dio"},
	{title:"Magnésio", nrElemento:12, searchFilter:"mg", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Magn%C3%A9sio"},
	{title:"Alumínio", nrElemento:13, searchFilter:"al", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Alum%C3%ADnio"},
	{title:"Silício", nrElemento:14, searchFilter:"si", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Sil%C3%ADcio"},
	{title:"Fósforo", nrElemento:15, searchFilter:"p", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/F%C3%B3sforo"},
	{title:"Enxofre", nrElemento:16, searchFilter:"s", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Enxofre"},
	{title:"Cloro", nrElemento:17, searchFilter:"cl", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Cloro"},
	{title:"Árgon", nrElemento:18, searchFilter:"ar", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Arg%C3%B4nio"},
	{title:"Potássio", nrElemento:19, searchFilter:"k", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Pot%C3%A1ssio"},
	{title:"Cálcio", nrElemento:20, searchFilter:"ca", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/C%C3%A1lcio"},
	{title:"Escândio", nrElemento:21, searchFilter:"sc", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Esc%C3%A2ndio"},
	{title:"Titânio", nrElemento:22, searchFilter:"ti", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Tit%C3%A2nio"},
	{title:"Vanádio", nrElemento:23, searchFilter:"v", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Van%C3%A1dio"},
	{title:"Crômio", nrElemento:24, searchFilter:"cr", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Cr%C3%B4mio"},
	{title:"Manganês", nrElemento:25, searchFilter:"mn", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Mangan%C3%AAs"},
	{title:"Ferro", nrElemento:26, searchFilter:"fe", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ferro"},
	{title:"Cobalto", nrElemento:27, searchFilter:"co", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Cobalto"},
	{title:"Níquel", nrElemento:28, searchFilter:"ni", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/N%C3%ADquel"},
	{title:"Cobre", nrElemento:29, searchFilter:"cu", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Cobre"},
	{title:"Zinco", nrElemento:30, searchFilter:"zn", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Zinco"},
	{title:"Gálio", nrElemento:31, searchFilter:"ga", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/G%C3%A1lio"},
	{title:"Germânio", nrElemento:32, searchFilter:"ge", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Germ%C3%A2nio"},
	{title:"Arnsênio", nrElemento:33, searchFilter:"as", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ars%C3%AAnio"},
	{title:"Selênio", nrElemento:34, searchFilter:"se", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Sel%C3%AAnio"},
	{title:"Bromo", nrElemento:35, searchFilter:"br", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Bromo"},
	{title:"Crípton", nrElemento:36, searchFilter:"kr", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Cript%C3%B4nio"},
	{title:"Rubídio", nrElemento:37, searchFilter:"rb", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Rub%C3%ADdio"},
	{title:"Estrôncio", nrElemento:38, searchFilter:"sr", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Estr%C3%B4ncio"},
	{title:"Ítrio", nrElemento:39, searchFilter:"y", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/%C3%8Dtrio"},
	{title:"Zircônio", nrElemento:40, searchFilter:"zr", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Zirc%C3%B4nio"},
	{title:"Nióbio", nrElemento:41, searchFilter:"nb", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ni%C3%B3bio"},
	{title:"Molibdnênio", nrElemento:42, searchFilter:"mo", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Molibd%C3%AAnio"},
	{title:"Tecnécio", nrElemento:43, searchFilter:"tc", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Tecn%C3%A9cio"},
	{title:"Rutênio", nrElemento:44, searchFilter:"ru", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Rut%C3%AAnio"},
	{title:"Ródio", nrElemento:45, searchFilter:"rh", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/R%C3%B3dio"},
	{title:"Paládio", nrElemento:46, searchFilter:"pd", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Pal%C3%A1dio"},
	{title:"Prata", nrElemento:47, searchFilter:"ag", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Prata"},
	{title:"Cádmio", nrElemento:48, searchFilter:"cd", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/C%C3%A1dmio"},
	{title:"Índio", nrElemento:49, searchFilter:"in", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/%C3%8Dndio_%28elemento_qu%C3%ADmico%29"},
	{title:"Estanho", nrElemento:50, searchFilter:"sn", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Estanho"},
	{title:"Antimônio", nrElemento:51, searchFilter:"sb", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Antim%C3%B4nio"},
	{title:"Telúrio", nrElemento:52, searchFilter:"te", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Tel%C3%BArio"},
	{title:"Iodo", nrElemento:53, searchFilter:"i", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Iodo"},
	{title:"Xenônio", nrElemento:54, searchFilter:"xe", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Xen%C3%B4nio"},
	{title:"Césio", nrElemento:55, searchFilter:"cs", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/C%C3%A9sio"},
	{title:"Bário", nrElemento:56, searchFilter:"ba", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/B%C3%A1rio"},
	{title:"Háfnio", nrElemento:72, searchFilter:"hf", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/H%C3%A1fnio"},
	{title:"Tântalo", nrElemento:73, searchFilter:"ta", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/T%C3%A2ntalo"},
	{title:"Tungstênio", nrElemento:74, searchFilter:"w", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Tungst%C3%AAnio"},
	{title:"Rênio", nrElemento:75, searchFilter:"re", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/R%C3%AAnio"},
	{title:"Ósmio", nrElemento:76, searchFilter:"os", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/%C3%93smio"},
	{title:"Íridio", nrElemento:77, searchFilter:"ir", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ir%C3%ADdio"},
	{title:"Platina", nrElemento:78, searchFilter:"pt", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Platina"},
	{title:"Ouro", nrElemento:79, searchFilter:"au", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ouro"},
	{title:"Mercúrio", nrElemento:80, searchFilter:"hg", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Merc%C3%BArio_%28elemento_qu%C3%ADmico%29"},
	{title:"Tálio", nrElemento:81, searchFilter:"tl", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/T%C3%A1lio"},
	{title:"Chumbo", nrElemento:82, searchFilter:"pb", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Chumbo"},
	{title:"Bismuto", nrElemento:83, searchFilter:"bi", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Bismuto"},
	{title:"Polônio", nrElemento:84, searchFilter:"po", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Pol%C3%B4nio"},
	{title:"Astato", nrElemento:85, searchFilter:"at", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Astato"},
	{title:"Rádon", nrElemento:86, searchFilter:"rn", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Rad%C3%B4nio"},
	{title:"Frâncio", nrElemento:87, searchFilter:"fr", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Fr%C3%A2ncio"},
	{title:"Rádio", nrElemento:88, searchFilter:"ra", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/R%C3%A1dio_%28elemento_qu%C3%ADmico%29"},
	{title:"Rutherfórdio", nrElemento:104, searchFilter:"rf", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Rutherf%C3%B3rdio"},
	{title:"Dúbnio", nrElemento:105, searchFilter:"db", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/D%C3%BAbnio"},
	{title:"Seabórgio", nrElemento:106, searchFilter:"sg", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Seab%C3%B3rgio"},
	{title:"Bóhrio", nrElemento:107, searchFilter:"bh", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/B%C3%B3hrio"},
	{title:"Hássio", nrElemento:108, searchFilter:"hs", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/H%C3%A1ssio"},
	{title:"Meitnério", nrElemento:109, searchFilter:"mt", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Meitn%C3%A9rio"},
	{title:"Darmstácio", nrElemento:110, searchFilter:"ds", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Darmst%C3%A1dtio"},
	{title:"Roentgênio", nrElemento:111, searchFilter:"rg", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Roentg%C3%AAnio"},
	{title:"Copernício", nrElemento:112, searchFilter:"cn", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Copern%C3%ADcio"},
	{title:"Unúntrio", nrElemento:113, searchFilter:"uut", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununtrium"},
	{title:"Ununquádio", nrElemento:114, searchFilter:"uuq", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununquadium"},
	{title:"Ununpêntio", nrElemento:115, searchFilter:"uup", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununpentium"},
	{title:"Unun-héxio", nrElemento:116, searchFilter:"uuh", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununhexium"},
	{title:"Ununséptio", nrElemento:117, searchFilter:"uus", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununseptium"},
	{title:"Ununóctio", nrElemento:118, searchFilter:"uuo", classname:"tableRow", backgroundColor:defaultColor, hasDetail:true, js:"elementdetails.js", dataToPass:"http://pt.wikipedia.org/wiki/Ununoctium"},
];

/**
 * Sort data from array by title
 */
elementos.sort(function(a, b){
 //var nameA=a.title.toLowerCase(), nameB=b.title.toLowerCase()
 var nameA=a.nrElemento, nameB=b.nrElemento
 if (nameA < nameB) //sort string ascending
  return -1
 if (nameA > nameB)
  return 1
 return 0 //default return value (no sorting)
})
/* -------------------- End of Data implementation -------------------- */

/**
 * Create a searchBar for the tableview
 */
var searchBar = Titanium.UI.createSearchBar({
	showCancel:true,
	hintText:"Filtrar elementos por símbolo"
})

/**
 * Create the TableView using the filterAttribute in the array containing the data
 */
var tableViewTabela = Titanium.UI.createTableView({
	data:elementos,
	search:searchBar,
	filterAttribute:"searchFilter",
	//style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
});


tableViewTabela.addEventListener("click",function(e){
	//Check the row's hasDetail property
	if(e.source.hasDetail){
		if(e.source.js){//Does the row have a pointer to an external js file?
			//It does: Load that file
			var w = Titanium.UI.createWindow({
				title:e.source.title,//Take the title from the row
				backgroundColor:"#FFFFFF",
				dataToPass:e.source.dataToPass,
				url:e.source.js//The url property of a window will load an external .js file for window contents (be sure that external file is properly formatted!)
			});
		}else{
			//It doesn't: Create a window from scratch
			var w = Titanium.UI.createWindow({
				title:e.source.title,//Take the title from the row
				backgroundColor:"#FFFFFF",
			})
			//Create some views for our window
			
			var label = Titanium.UI.createLabel({
				text:"A newly opened window from the " + e.source.title + " row",
				width:"auto",
				height:"auto",
				textAlign:"center"
			});
			
			w.add(label)
		}
		//Slide-open the window
		tab1.open(w,{animated:true});//Try it without the animated:true and see what happens
	}else{//Row doesn't have a window to open
		alert("Este elemento não tem detalhes disponíveis.")
	}
});

//Add the tableview to the window
win1.add(tableViewTabela);

//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Informações',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Informações',
    window:win2
});

var label2 = Titanium.UI.createLabel({
	color:'#999',
	text:'I am Window 2',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win2.add(label2);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);

// open tab group
tabGroup.open();
